Subject: Re: bug#55747: 29.0.50; Building emacs-pgtk-native-comp-git from AUR, it always fails with no such file: lisp/loaddefs.el

From: Alynx Zhou <[email-masked]>
Date: Thu, 2 Jun 2022 16:09:43 +0800

Lars Ingebrigtsen <[email-masked]> 于2022年6月1日周三 23:38写道：

> Lars Ingebrigtsen <[email-masked]> writes:
>
> > Alynx Zhou <[email-masked]> writes:
> >
> >> I am trying to build and install latest emacs-pgtk-native-comp-git
> >> (29.0.50.156926) from AUR
> >> (https://aur.archlinux.org/packages/emacs-pgtk-native-comp-git), it
> >> always fails with `No such file or directory
> >>
> /home/alynx/.cache/paru/clone/emacs-pgtk-native-comp-git/src/lisp/loaddefs.el`.
> >
> > Sounds like it might be a bug in archlinux?  Have you reported it to the
> > archlinux people?
>
> (Or it might be a loaddefs-related change that's been fixed by now --
> there's been several changes in that area over the past few days.)
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

I tried to rebuild 29.0.50.155762 today, still failed, I tried another AUR
package https://aur.archlinux.org/packages/emacs-pgtk-git, this works fine,
I think the main difference is this one disabled XINPUT2 support (should be
useless if I enable PGTK?), and uses mold to link, I am not sure why it
works.

I'll report to emacs-pgtk-native-comp-git's AUR maintainer now.

-- 
*Alynx Zhou*
*Desktop Dev in SUSE Beijing*
Member of *Arch Linux CN **Community*
*CS Graduate of **Beijing Jiaotong University*